# any [![NPM version](https://badge.fury.io/js/any.svg)](http://badge.fury.io/js/any)  [![Build Status](https://travis-ci.org/jonschlinkert/any.svg)](https://travis-ci.org/jonschlinkert/any) 

> Returns `true` if a value exists in the given string, array or object.

- if a callback is passed, checks to see if a truthy value is returned for any element in a collection or for any sub-string in a string.
- returns as soon as it finds a passing value and does not iterate over the entire collection.

## Install with [npm](npmjs.org)

```bash
npm i any --save
```


## Usage

```js
var any = require('any');
```

```js
any('a-b-c', 'a');
//=> true

any('a-b-c', 'd');
//=> false

any({a: 'b', c: 'd'}, 'a');
//=> true

any([{a: 'b', c: 'd'}], {a: 'b'});
//=> true

any('a-b-c', 'd');
//=> false
```

## Running tests
Install dev dependencies.

```bash
npm i -d && npm test
```


## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on February 26, 2015._
